mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

This enumeration is used by members of the class.

Many of these flags can have powerful effects and should be granted only to highly trusted code.

The most powerful of the flags are , , , , , , and . For specific threats that the use of these flags can present, see the member descriptions.

Specifies the type of key container access allowed.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.KeyContainerPermissionFlags

  Create, decrypt, delete, and open a key container; export and import a key; sign files using a key; and view and change the access control list for a key container.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.KeyContainerPermissionFlags

  Change the access control list (ACL) for a key container.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.KeyContainerPermissionFlags

  Creating a key container also creates a file on disk. It is very important that any key container that is created is removed when it is no longer in use.

  Create a key container.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.KeyContainerPermissionFlags

  Decryption is a privileged operation because it uses the private key.

  Decrypt a key container.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.KeyContainerPermissionFlags

  Deleting a key container can constitute a denial of service attack because it prevents the use of files encrypted or signed with the key. Therefore, deletion is a privileged operation.

  Delete a key container.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.KeyContainerPermissionFlags

  The ability to export a key is potentially harmful because it removes the exclusivity of the key.

  Export a key from a key container.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.KeyContainerPermissionFlags

  The ability to import a key can be as harmful as the ability to delete a container because importing a key into a named key container replaces the existing key.

  Import a key into a key container.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.KeyContainerPermissionFlags

  No access to a key container.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.KeyContainerPermissionFlags

  Open does not give permission to sign or decrypt files using the private key, but it does allow a user to verify file signatures and to encrypt files. Only the owner of the key is able to decrypt these files using the private key.

  Open a key container and use the public key.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.KeyContainerPermissionFlags

  The ability to sign a file is potentially harmful because it can allow a user to sign a file using another user's key.

  Sign a file using a key.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.KeyContainerPermissionFlags

  View the access control list (ACL) for a key container.